# example bot script

from gotosocial.client import GoToSocialBot
import json

CONFIG = "config.json"

# the config file should look like
#
#     {
#        "base_url": "https://your.gts.instance.here",
#        "access_token": "YOURACCESSTOKENGOESHERE"
#     }
#

if __name__ == "__main__":
    with open(CONFIG, "r") as cfh:
        cf = json.load(cfh)
    bot = GoToSocialBot()
    bot.auth(cf)
    bot.post("A test post", {"spoiler_text": "test post"})
